• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[SOLVED] Only Update CI4 by Composer

#1
Lightbulb 
My CI4 app have 2 packages: CI4 and Myth/Auth
I want update --> Only CI4 <-- (composer update --no-dev)

How I do it

Here my composer.json
Code:
{
"name": "codeigniter4/appstarter",
"type": "project",
"description": "CodeIgniter4 starter app",
"homepage": "https://codeigniter.com",
"license": "MIT",
"minimum-stability": "dev",
"prefer-stable": true,
"require": {
"php": ">=7.2",
"codeigniter4/framework": "^4",
"myth/auth": "^[email protected]"
},
"require-dev": {
"fzaninotto/faker": "^[email protected]",
"mikey179/vfsstream": "1.6.*",
"phpunit/phpunit": "^8.5"
},
"autoload-dev": {
"psr-4": {
"Tests\\Support\\": "tests/_support"
}
},
"scripts": {
"post-update-cmd": [
"@composer dump-autoload"
],
"test": "phpunit"
},
"support": {
"forum": "http://forum.codeigniter.com/",
"source": "https://github.com/codeigniter4/CodeIgniter4",
"slack": "https://codeigniterchat.slack.com"
}
}

Is it just delete "myth/auth":"^[email protected]" ?

Learning CI4 from my works, from errors and how to fix bugs in the community

Love CI & Thanks CI Teams

Reply

#2
you can try :

$ php composer.phar update codeigniter4/framework --no-dev


// im on linux and have made a link so all i have to use is "composer"

bash-5.0$ composer update codeigniter4/framework --no-dev
Loading composer repositories with package information
Updating dependencies
Generating autoload files
Generated autoload files containing 14 classes

There are no updates i think 4.0.4 is latest so that seems to work


//if you have a lot of additions such as bootstrap then you could edit composer.json but mistakes are likely to nbe made and could get messy.
Reply

#3
Myth/Auth is in it's own module, outside of the changes in the readme that are made
to Config/Validation/php and Config/Email.php all of these settings are listed in the
Myth/Auth readme.md file in the Myth/Auth root folder.
What did you Try? What did you Get? What did you Expect?

Joined CodeIgniter Community 2009.  ( Skype: insitfx )
Reply

#4
(10-01-2020, 06:17 AM)captain-sensible Wrote: you can try :

$ php composer.phar  update codeigniter4/framework --no-dev

It work fine
Thanks

(10-01-2020, 06:29 AM)InsiteFX Wrote: Myth/Auth is in it's own module, outside of the changes in the readme that are made
to Config/Validation/php and Config/Email.php all of these settings are listed in the
Myth/Auth readme.md file in the Myth/Auth root folder.

Thanks for more clearly

Learning CI4 from my works, from errors and how to fix bugs in the community

Love CI & Thanks CI Teams

Reply

#5
your welcome
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2020 MyBB Group.